## keyutils 1.2-7

=== debian/changelog ===
keyutils (1.2-7) unstable; urgency=medium

  * Adding debug package.
  * Reordering control file.
  * Reordering rules file.
  * Rewriting copyright file in machine-interpretable format.
  * Adding vcs fields in control file.
  * Updating package to debhelper 6.

 -- Daniel Baumann <daniel@debian.org>  Sat, 12 Apr 2008 16:53:00 +0200

keyutils (1.2-6) unstable; urgency=low

  * Applied patch from Neil Williams <codehelp@debian.org> to add crossbuild
    support to debian/rules (Closes: #465217).

 -- Daniel Baumann <daniel@debian.org>  Mon, 11 Feb 2008 11:56:00 +0100

keyutils (1.2-5) unstable; urgency=low

  * Updated to new policy.
  * Corrected sections.
  * Improved package descriptions (Closes: #406441).

 -- Daniel Baumann <daniel@debian.org>  Sun, 23 Dec 2007 11:20:00 +0100

keyutils (1.2-4) unstable; urgency=low

  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Sun, 26 Aug 2007 09:35:00 +0200

keyutils (1.2-3) unstable; urgency=medium

  * Downgrate to debhelper 4 again for etch inclusion.

 -- Daniel Baumann <daniel@debian.org>  Sun, 25 Feb 2007 08:12:00 +0100

keyutils (1.2-2) unstable; urgency=medium

  * Renaming packages (Closes: #409977).
  * Minor cleanups.

 -- Daniel Baumann <daniel@debian.org>  Tue,  6 Feb 2007 22:25:00 +0100

keyutils (1.2-1) unstable; urgency=low

  * Initial release (Closes: #401499).

 -- Daniel Baumann <daniel@debian.org>  Mon,  4 Dec 2006 10:31:00 +0100
