=== debian/control ===
Source: keyutils
Section: admin
Priority: optional
Maintainer: Daniel Baumann <daniel@debian.org>
Build-Depends: debhelper
Standards-Version: 3.7.3
Homepage: http://people.redhat.com/~dhowells/keyutils/
Vcs-Browser: http://git.debian.net/?p=keyutils.git
Vcs-Git: git://git.debian.net/git/keyutils.git

Package: keyutils
Section: admin
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux Key Management Utilities
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.

Package: keyutils-dbg
Section: devel
Priority: extra
Architecture: any
Depends: keyutils (= ${binary:Version}), libkeyutils1 (= ${binary:Version}), libkeyutils-dev (= ${binary:Version})
Description: Linux Key Management Utilities (debug)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the debugging symbols.

Package: libkeyutils1
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: Linux Key Management Utilities (library)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package provides a wrapper library for the key management facility system
 calls.

Package: libkeyutils-dev
Section: libdevel
Architecture: any
Depends: libkeyutils1 (= ${binary:Version})
Description: Linux Key Management Utilities (development)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the development files.
