## keyutils 1.2-maemo1

=== debian/changelog ===
keyutils (1.2-maemo1) unstable; urgency=low

  * fix to compile for maemo

 -- Thomas Maass <inyourface@gmx.de>  Sat,  26 Jun 2010 21:48:00 +0200
 

keyutils (1.2-9) unstable; urgency=low

  * Correcting previous local email address in changelog.
  * Simplyfing libkeyutils1 install file.

 -- Daniel Baumann <daniel@debian.org>  Mon,  1 Sep 2008 13:01:00 +0200

keyutils (1.2-8) unstable; urgency=low

  * Removing cflags handling in rules, not required anymore.
  * Adding two patches from Michael Gebetsroither <gebi@grml.org> to fix memory
    leaks (Closes: #496466).
  * Updating to standards 3.8.0.
  * Using comma seperator for file pattern in copyright file.
  * Updatingto debhelper 7.
  * Correcting indenting in copyright file.
  * Adjusting indenting in rules file.

 -- Daniel Baumann <daniel@debian.org>  Mon, 25 Aug 2008 13:45:00 +0200
