=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Daniel Baumann <daniel@debian.org>
-Build-Depends: debhelper
-Standards-Version: 3.7.3
+Build-Depends: debhelper7 (>= 7), dpatch
+Standards-Version: 3.8.0
 Homepage: http://people.redhat.com/~dhowells/keyutils/
 Vcs-Browser: http://git.debian.net/?p=keyutils.git
 Vcs-Git: git://git.debian.net/git/keyutils.git
