## keyutils 1.4

=== debian/changelog ===
keyutils (1.4-4ubuntu2) natty; urgency=low

  * no-change rebuild against fixed pkgbinarymangler to get multiarch-
    safe changelogs

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 24 Mar 2011 10:13:14 -0700

keyutils (1.4-4ubuntu1) natty; urgency=low

  * Build for multiarch.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 17 Mar 2011 17:51:40 -0700

keyutils (1.4-4) unstable; urgency=low

  * Making reference to licenses in copyright distribution neutral.
  * Improving previous changelog entries.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 22 Jan 2011 21:39:57 +0100

keyutils (1.4-3) unstable; urgency=low

  * Updating maintainer and uploaders fields.
  * Removing vcs fields.
  * Removing references to my old email address.
  * Removing README.source, not required anymore.
  * Makeing packaging distribution neutral.
  * Updating year in copyright file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 16 Jan 2011 18:44:03 +0100

keyutils (1.4-2) experimental; urgency=low

  * Updating standards version to 3.9.0.
  * Switching to source format 3.0 (quilt).
  * Updating to debhelper version 8.
  * Updating to standards version 3.9.1.
  * Rediffing memleak-from-realloc.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 19 Dec 2010 21:16:19 +0100

keyutils (1.4-1) unstable; urgency=low

  * Merging upstream version 1.4.
  * Call dh_install with --fail-missing in rules.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sat, 27 Mar 2010 10:22:54 +0100

keyutils (1.3-1) unstable; urgency=low

  * Correcting wrong vcs-browser field.
  * Adding explicit debian source version 1.0 until switch to 3.0.
  * Updating year in copyright file.
  * Updating to standards 3.8.4.
  * Merging upstream version 1.3.
  * Updating README.source.
  * Updating year in copyright file.
  * Making build-depends on quilt versioned.
  * Sorting dh call in rules to more common order.
  * Removing manpage.patch, not required anymore.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 15 Mar 2010 18:57:29 +0100

keyutils (1.2-12) unstable; urgency=low

  * Updating maintainer field.
  * Updating vcs fields.
  * Updating package to standards version 3.8.3.
  * Bumping versioned build-depends on debhelper.
  * Sorting and wrapping depends.
  * Simplifying libkeyutils-dev install file.
  * Adding README.source.
  * Adding maintainer homepage in copyright.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 04 Oct 2009 09:53:38 +0200

keyutils (1.2-11) unstable; urgency=low

  * Updating priority for libkeyutils1.
  * Updating sections for keyutils, libkeyutils1, and libkeyutils-dev.
  * Updating to standards version 3.8.2.
  * Using correct rfc-2822 date formats in changelog.
  * Updating section of the debug package.
  * Minimizing rules file.
  * Adding misc depends to development and debug package.
  * Updating section for all packages.
  * Adding patch to remove undefined sequence from manpage.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 27 Jul 2009 12:52:28 +0200

keyutils (1.2-10) unstable; urgency=low

  * Updating vcs fields in control file.
  * Using patch-stamp rather than patch in rules file.
  * Replacing obsolete dh_clean -k with dh_prep.
  * Using quilt rather than dpatch.
  * Updating year in copyright file.
  * Updating rules to current state of the art.
  * Adding patch from Marcus Meissner <meissner@suse.de> to add 2 cifs
    helpers to request-key.conf (for CIFS DFS support).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Thu, 05 Feb 2009 02:03:00 +0100
