=== debian/control ===
Source: keyutils
Section: admin
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
Build-Depends: debhelper (>= 8.1.2ubuntu3)
Standards-Version: 3.9.1
Homepage: http://people.redhat.com/~dhowells/keyutils/

Package: keyutils
Section: admin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Linux Key Management Utilities
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.

Package: keyutils-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 ${misc:Depends}, keyutils (= ${binary:Version}),
 libkeyutils1 (= ${binary:Version}), libkeyutils-dev (= ${binary:Version})
Description: Linux Key Management Utilities (debug)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the debugging symbols.

Package: libkeyutils1
Section: libs
Priority: standard
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Description: Linux Key Management Utilities (library)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package provides a wrapper library for the key management facility system
 calls.

Package: libkeyutils-dev
Section: libdevel
Architecture: any
Depends: ${misc:Depends}, libkeyutils1 (= ${binary:Version})
Description: Linux Key Management Utilities (development)
 Keyutils is a set of utilities for managing the key retention facility in the
 kernel, which can be used by filesystems, block devices and more to gain and
 retain the authorization and encryption keys required to perform secure
 operations.
 .
 This package contains the development files.
