## keyutils 1.5.2

=== debian/changelog ===
keyutils (1.5.2-2) unstable; urgency=low

  * Adding patch from Nobuhiro Iwamatsu <iwamatsu@debian.org> to avoid
    setting Intel Architecture specific CFLAGS (Closes: #638925).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Wed, 24 Aug 2011 19:20:47 +0200

keyutils (1.5.2-1) unstable; urgency=low

  * Merging upstream version 1.5.2.
  * Updating year in copyright file.
  * Marking package as linux-any.
  * Rediffing memleak-from-realloc.patch.
  * Rediffing another-memleak.patch.
  * Rediffing cifs.patch.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 12 Aug 2011 20:40:57 +0200

keyutils (1.4-6) unstable; urgency=low

  * Compacting copyright file.
  * Bumping versioned build-depends on debhelper to please lintian.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Sun, 10 Jul 2011 17:09:01 +0200

keyutils (1.4-5) unstable; urgency=low

  * Updating standards version to 3.9.2.
  * Applying patch from Steve Langasek <steve.langasek@canonical.com> to
    add support for multiarch (Closes: #631579).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 28 Jun 2011 06:58:39 +0200
