=== debian/control ===
--- 
+++ 
@@ -1,15 +1,14 @@
 Source: keyutils
 Section: admin
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8.1.2ubuntu3)
-Standards-Version: 3.9.1
+Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Build-Depends: debhelper (>= 8.9)
+Standards-Version: 3.9.2
 Homepage: http://people.redhat.com/~dhowells/keyutils/
 
 Package: keyutils
 Section: admin
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Linux Key Management Utilities
  Keyutils is a set of utilities for managing the key retention facility in the
@@ -20,7 +19,7 @@
 Package: keyutils-dbg
 Section: debug
 Priority: extra
-Architecture: any
+Architecture: linux-any
 Depends:
  ${misc:Depends}, keyutils (= ${binary:Version}),
  libkeyutils1 (= ${binary:Version}), libkeyutils-dev (= ${binary:Version})
@@ -35,7 +34,7 @@
 Package: libkeyutils1
 Section: libs
 Priority: standard
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Multi-Arch: same
 Pre-Depends: ${misc:Pre-Depends}
@@ -50,7 +49,7 @@
 
 Package: libkeyutils-dev
 Section: libdevel
-Architecture: any
+Architecture: linux-any
 Depends: ${misc:Depends}, libkeyutils1 (= ${binary:Version})
 Description: Linux Key Management Utilities (development)
  Keyutils is a set of utilities for managing the key retention facility in the
