## keyutils 1.5.5

=== debian/changelog ===
keyutils (1.5.5-4) unstable; urgency=low

  * Adding dpkg-source local options.
  * Using make interna rather than 'true' in rules to make the testsuite
    not fail on purpose.
  * Updating to standards version 3.9.4.
  * Using correct compiler and ar when cross-building, thanks to Colin
    Watson <cjwatson@ubuntu.com> (Closes: #695022).

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 11 Dec 2012 21:30:53 +0100

keyutils (1.5.5-3) unstable; urgency=low

  * Switching to xz compression.
  * Updating GPL boilerplate in copyright file.
  * Adding patch to use change-directory instead of push- and pop-
    directory in tests to fix FTBFS with dash (Closes: #659297).
  * Adding missing build-depends to lsb-release for testsuite.
  * Adding patch to use keyctl from the current build rather the one
    from system in testsuite (Closes: #659299).
  * Making test-suite failures not bailout for the moment as some tests
    do not work properly yet, but the test-suite should be run
    nevertheless.
  * Using space rather than comma seperated files field in copyright
    file.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Fri, 29 Jun 2012 21:01:32 +0200

keyutils (1.5.5-2) unstable; urgency=low

  * Adding patch from Simon Ruderich <simon@ruderich.org> to fix FTBFS
    with hardening flags (Closes: #661393).
  * Updating to standards version 3.9.3.
  * Updating copyright file machine-readable format version 1.0.
  * Tightening debhelper install files.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Mon, 16 Apr 2012 09:45:04 +0000

keyutils (1.5.5-1) unstable; urgency=low

  * Using compression level 9 also for binary packages.
  * Merging upstream version 1.5.5.
  * Updating year in copyright file.
  * Updating to debhelper version 9.
  * Enabling hardening build options.

 -- Daniel Baumann <daniel.baumann@progress-technologies.net>  Tue, 24 Jan 2012 17:08:44 +0100
