=== debian/control ===
--- 
+++ 
@@ -2,8 +2,8 @@
 Section: admin
 Priority: optional
 Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
-Build-Depends: debhelper (>= 8.9)
-Standards-Version: 3.9.2
+Build-Depends: debhelper (>= 9), lsb-release
+Standards-Version: 3.9.4
 Homepage: http://people.redhat.com/~dhowells/keyutils/
 
 Package: keyutils
