=== debian/changelog ===
keyutils (1.5.6-1) unstable; urgency=low

  * New upstream release.

 -- Luk Claes <luk@debian.org>  Wed, 11 Sep 2013 07:41:59 +0200

keyutils (1.5.5-7) unstable; urgency=low

  * Taking over with maintainer's consent.
  * Adding watch file.

 -- Luk Claes <luk@debian.org>  Sat, 06 Apr 2013 09:38:50 +0200

keyutils (1.5.5-6) unstable; urgency=low

  * Removing all references to my old email address.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Sun, 10 Mar 2013 20:53:34 +0100

keyutils (1.5.5-5) unstable; urgency=low

  * Updating year in copyright file.
  * Dropping dpkg-source compression levels (Closes: #695714).
  * Trimming diff headers in patches.
  * Prefixing patches with four digits.

 -- Daniel Baumann <mail@daniel-baumann.ch>  Tue, 26 Feb 2013 13:21:20 +0100
