=== debian/control ===
--- 
+++ 
@@ -1,13 +1,12 @@
 Source: keyutils
 Section: admin
 Priority: optional
-Maintainer: Daniel Baumann <daniel.baumann@progress-technologies.net>
+Maintainer: Luk Claes <luk@debian.org>
 Build-Depends: debhelper (>= 9), lsb-release
 Standards-Version: 3.9.4
 Homepage: http://people.redhat.com/~dhowells/keyutils/
 
 Package: keyutils
-Section: admin
 Architecture: linux-any
 Depends: ${misc:Depends}, ${shlibs:Depends}
 Description: Linux Key Management Utilities
