=== debian/rules ===
--- 
+++ 
@@ -27,4 +27,4 @@
 	dh_strip --dbg-package=keyutils-dbg
 
 override_dh_builddeb:
-	dh_builddeb -- -Zxz -z9
+	dh_builddeb -- -Zxz
